#if !defined(_CrNodes_h)	// Sentry, use file only if it's not already included.
#define _CrNodes_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Parser
FILE:       CrNodes.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Template function for creating nodes
-------------------------------------------------------------------------*/

template <class T> MediaObject * SFNode<T> :: CreateNode (int)
{
	return new T;
}

#ifdef BIFSENC

template <class T> MediaObject * SFNode<T> :: CreateNode (
	LPCSTR szNodeName,
	int &nNodeType
)
{
	nNodeType = 0;
	MediaObject *pNode = new T;
	if (stricmp (pNode -> GetName (), szNodeName))
		nNodeType = -1;
	return pNode;
}

#endif		// BIFSENC

#endif                                      // _CrNodes_h sentry.
