#if !defined(_NodeCode_h)  // Sentry, use file only if it's not already included.
#define _NodeCode_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder
FILE:       NodeCode.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of node codes
-------------------------------------------------------------------------*/

/*-----------------------------------------------------------------
Define node codes
-----------------------------------------------------------------*/
enum
{
	CODE_AmbientLight,
	CODE_AnimationStream,
	CODE_Appearance,
	CODE_Appearance2D,
	CODE_AudioDelay,
	CODE_AudioMix,
	CODE_AudioSource,
	CODE_AudioSwitch,
	CODE_AudioTransform,
	CODE_Background,
	CODE_Background2D,
	CODE_Billboard,
	CODE_Box,
	CODE_Circle,
	CODE_Coordinate2D,
	CODE_Collision,
	CODE_Color,
	CODE_ColorInterpolator,
	CODE_Conditional,
	CODE_Cone,
	CODE_Curve2D,
	CODE_Cylinder,
	CODE_DirectionalLight,
	CODE_ElevationGrid,
	CODE_Extrusion,
	CODE_Font,
	CODE_FontStyle2D,
	CODE_Group,
	CODE_Group2D,
	CODE_Image2D,
	CODE_IndexedFaceSet,
	CODE_IndexedLineSet,
	CODE_IndexedLineSet2D,
	CODE_Inline,
	CODE_Inline2D,
	CODE_LOD,
	CODE_LOD2D,
	CODE_Layout,
	CODE_ListeningPoint,
	CODE_ImageTexture,
	CODE_Material2D,
	CODE_Movie2D,
	CODE_MovieTexture,
	CODE_NaturalAudio,
	CODE_Normal,
	CODE_PointLight,
	CODE_PointSet,
	CODE_PointSet2D,
	CODE_Position2DInterpolator,
	CODE_Properties2D,
	CODE_Proximity2DSensor,
	CODE_QuantizationParameter,
	CODE_Rectangle,
	CODE_CRectangle,
	CODE_ScalarInterpolator,
	CODE_Scroll,
	CODE_Shape,
	CODE_Shape2D,
	CODE_Sound,
	CODE_Sound2D,
	CODE_Sphere,
	CODE_SpotLight,
	CODE_Square,
	CODE_StreamingText,
	CODE_Switch,
	CODE_Text2D,
    CODE_TextureTransform,
	CODE_TimeSensor,
	CODE_TouchSensor,
	CODE_TouchSensor2D,
	CODE_Transform,
	CODE_Transform2D,
	CODE_ViewPoint,
	CODE_WorldInfo,
	CODE_XLayout,
	CODE_SessionStreamAssociation,
	CODE_ObjectDescriptor
};
#endif	// _NodeCode_h sentry