#if !defined(_rgbdec_h)	// Sentry, use file only if it's not already included.
#define _rgbdec_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Decoder
FILE:       RGBDec.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of RGBDecoder
-------------------------------------------------------------------------*/
#include "Decoder.h"

class RGBDecoder : public Decoder
{
	virtual FORMAT SetFormat (Capabilities *pPresentationCapabilities);
	virtual int GetOptimalInputSize () {return 144*176*3+4;}
	virtual int GetOptimalOutputSize () {return 144*176*3+5;}
	virtual int GetRecommendedInputBufferSize () {return 600000;}
	virtual int GetRecommendedOutputBufferSize () {return 600000;}
	virtual BOOL Decode (
		LPBYTE pInput,
		int nInputLength,
		LPBYTE pOutput,
		int &rnOutputLength
	);

public:
	RGBDecoder (class Executive *pExecutive) : Decoder (pExecutive) {}
};

#endif                                      // _rgbdec_h sentry.
