#if !defined(_TSBifs_h)  // Sentry, use file only if it's not already included.
#define _TSBifs_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       TSBifs.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declaration of TSTSBifsStream, the class that handles time
stamped BIFS streams.
-------------------------------------------------------------------------*/
#include "Stream.h"

class TSBifsStream : public Stream
{
	int m_nAULength;

public:
	TSBifsStream (FILE *fStream, const char*) : Stream (fStream) {}
	virtual long GetTimeStamp ();
	virtual int GetChar ();
};

#endif	// _TSBifs_h sentry