#include <windows.h>

#ifndef DEC_STRUCTURES
#define DEC_STRUCTURES

typedef struct 
{
	int h263;
	int pels;
	int lines;
	int trd;
	int trb;
	int quant;
    int fast;
    int me8x8;
    int me4x4;
	int bquant;
	int Key;
	int Arith;
	int Advanced;
	int Edge;
	int Bframe;
	int VersionNumber;
	int AddInfo;
	int FrameNumber;
	int CompSize;
	unsigned char *Prev[3];
	unsigned char *Recon[3];
	unsigned char *PrevN[3];
	unsigned char *Compressed;
	unsigned char **Output[3];
	unsigned char *MBlocks;
	unsigned char *LineMod;
	int Reserved[10];
} StructFrameInfo;


typedef struct {
  StructFrameInfo FrameInfo;
  unsigned char * DecFrameBuffer;
  unsigned char * VDODecBuffer;
  int Swap;
} DecodeInst;

#endif DEC_STRUCTURES


extern void WINAPI
InitFrameInstDecW(int pels, int lines, DecodeInst * pDecodeInst);

extern int WINAPI
DecInstFrameW(DecodeInst * pDecodeInst, int Level, unsigned char * Compressed);

extern void WINAPI
GetFrameInstMemSizeW(int pels, int lines, int * VDODecBufferSize);

extern void WINAPI
GetCommonDecMemSizeW(int * DecFrameBufferSize);

extern void WINAPI
InitCommonDecMemW(unsigned char * DecFrameBuffer);

extern void WINAPI
RestoreCommonDecMemW(unsigned char * DecFrameBuffer);

extern int WINAPI
ExtractLevelInstW(unsigned char  * Input,char CurrLevel,unsigned char ** LevelInput, int CompSize);


extern void WINAPI
InitDecLowResW(int pels, int lines);
extern void WINAPI
InitDecHighResW(int pels, int lines);
