/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder/ Demux	/ Mux
FILE:       ESConfig.cpp
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of predefined ESCONFIGPARAMS
-------------------------------------------------------------------------*/
#include "defs.h"
#include "ESConfig.h"

ESCONFIGPARAMS g_arPredefined [] =
{
	{
		10, 0, 16000, TRUE, TRUE, TRUE, TRUE, TRUE, 100, 0, 14, 0,
		0, 0, 0, 0, 14, 0, 0, 4
	},
	{
		10, 0, 16000, TRUE, TRUE, TRUE, TRUE, TRUE, 1000, 0, 10, 0,
		0, 0, 0, 0, 14, 16, 2, 4
	},
	{	
		10, 0, 16000, TRUE, TRUE, TRUE, TRUE, FALSE, 1000, 0, 10, 0,
		30, 30, 0, 0, 8, 16, 2, 4
	},
	{
		10, 0, 16000, TRUE, TRUE, TRUE, TRUE, TRUE, 10, 0, 12, 0,
		0, 0, 0, 0, 16, 16, 2, 4
	}
};

int g_nPredefinedLength = sizeof g_arPredefined / sizeof (ESCONFIGPARAMS);

